# 32bpp_optimized.cpp File Reference

Implementation of the optimized 32 bpp blitter. More...

`#include "../stdafx.h"`
`#include "../core/alloc_func.hpp"`
`#include "../zoom_func.h"`
`#include "../core/math_func.hpp"`
`#include "32bpp_optimized.hpp"`

Go to the source code of this file.

## Data Structures
struct | RecolourTable
## Functions
static const SpriteLoader::Sprite * | ResizeSprite (const SpriteLoader::Sprite *sprite_src, ZoomLevel zoom)
| Resizes the sprite in a very simple way, takes every n-th pixel and every n-th row not used in extra zoom patch, because all zoomlevels are in the spritecache.
## Variables
static const int | MAX_PALETTE_TABLES = 50
struct RecolourTable | _rgb_palettes [MAX_PALETTE_TABLES]
Colour | _rgb_stringremap [3] = {{0}}
static FBlitter_32bppOptimized | iFBlitter_32bppOptimized

## Detailed Description

Implementation of the optimized 32 bpp blitter.

Definition in file 32bpp_optimized.cpp.

## Function Documentation

static const SpriteLoader::Sprite* ResizeSprite | ( | const SpriteLoader::Sprite * | sprite_src,
|  | ZoomLevel | zoom |
| ) |  |  | `[static]`

Resizes the sprite in a very simple way, takes every n-th pixel and every n-th row not used in extra zoom patch, because all zoomlevels are in the spritecache.

Parameters:

  | sprite_src | sprite to resize
  | zoom | resizing scale

Returns:
  resized sprite

Definition at line 255 of file 32bpp_optimized.cpp.

Referenced by Blitter_32bppOptimized::Encode().